#!/bin/bash

domain=$QUERY_STRING

LOC=`geoiplookup -f /home/wdong/src/hack/geoip.db $domain | cut -f 7,6 -d ,`

echo "Content-Type: text/html"
echo

cat <<FOO 
<html>
<head>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>
<script type="text/javascript" src="http://openlayers.org/api/OpenLayers.js"></script>
<script type="text/javascript">

var map;

function init() {
    jQuery.noConflict();
    map = new OpenLayers.Map('map');
    var wms = new OpenLayers.Layer.WMS(
        "OpenLayers WMS",
        "http://labs.metacarta.com/wms/vmap0",
        {layers: 'basic'}
    );

    map.addLayers([wms]);
    var layer = new OpenLayers.Layer.Vector("Overlay");
    for (i in data.locations) {
        var loc = new OpenLayers.Feature.Vector(new OpenLayers.Geometry.Point($LOC));
        layer.addFeatures(loc);
    }
    map.addLayer(layer);
    map.zoomToMaxExtent();
}


</script>
</head>

<body onload="init()">
<div id="map" style="width: 100%; height: 100%"></div>
</body>
FOO
